#pragma once

typedef struct {
	std::wstring absolutepath;
	std::wstring relativepath;
	std::wstring display;
	std::wstring attribute;
	std::wstring hashstr;
	std::wstring name;
	bool directory;
	INT64 filesize;
	FILETIME LastWriteTime;
} fileentry;

std::wstring FileHash(std::wstring absolutepath, INT64 size, HashFilter::Hash hashtype);

int listLocal(param::paramdata& param);
std::vector<fileentry> localsearch(param::paramdata& param);

